<template>

    <div class="head">

        <div>
            
                <h1> "Saveurs du Japon : <br>Recettes Gourmandes et Voyage Culinaire"</h1>
            
                <div >
                    <router-link to='/article' active-class="active">
                    <p class="p-bg"> Découvrir tous les articles</p>
                    </router-link>
                </div>

        </div>
    </div>

    <!-- <img src="https://images.pexels.com/photos/1422384/pexels-photo-1422384.jpeg" alt=""> -->
    
    <CategorieList></CategorieList>

    <RechercheBar></RechercheBar>

    <div class="flex">

        <div class=" img_catego ">
            <router-link to='/' active-class="active">
            <img src="https://img.freepik.com/photos-gratuite/vue-dessus-rouleaux-sushi-avocat-anguille-saumon-fromage-creme-assiette-du-gingembre-du-wasabi_141793-11692.jpg?t=st=1713733757~exp=1713737357~hmac=6f3c12e70886f012a352c5ca940997e5dbccb3132bb58af4be8586fd0847c457&w=740" alt="">
            </router-link>
            <p class="center-align">plat</p>
        </div>

        <div class=" img_catego">
            <router-link to='/' active-class="active">
            <img src="https://img.freepik.com/photos-gratuite/eclairs-delicieux-bouffee-creme-fraise-bord-billes_140725-502.jpg?w=740" alt="">
            </router-link>
            <p class="center-align">dessert</p>
        </div>
        <div class=" img_catego">
            <router-link to='/' active-class="active">
            <img src="https://img.freepik.com/photos-gratuite/tasses-japonaises-arrangement-bouteilles_23-2149869723.jpg?t=st=1713733823~exp=1713737423~hmac=1be7d43d08c4fb46af1a182513b8a2f353d33ad72b038cff9532079ae50ae9f8&w=740" alt="">
            </router-link>
            <p class="center-align">produit</p>
        </div>
    </div>

    <div class="bg">
        <ArticleList></ArticleList>
    </div>


</template>

<script setup lang="ts">

import ArticleList from '@/components/ArticleList.vue';
import CategorieList from '@/components/CategorieList.vue';
import RechercheBar from '@/components/RechercheBar.vue';


</script>


<style scoped>

.flex{
    display: flex;
    align-items: center;
    justify-content: center;
}

h1{
    font-size: 45px;
    font-family: "Lora", serif;
    line-height: 90px;
}

p{
    color:rgb(80, 107, 109);
    font-size: 2rem;

    width: 20rem;

}

.p-bg{
    font-size: 1.7rem;
    text-align: center;
    width: 30rem;
    padding: 10px;
    
    background-color: rgb(235, 249, 250);
    border : 2px solid rgb(80, 107, 109);
    border-radius: 25px; 
}

img{
    width: 100%;
    height: 50vh;
    
}

.img_catego{
    width: 23rem;

    margin: 50px;
}

.bg{
    background-color: rgb(188, 208, 209);
    padding: 30px;
}

.head{
    color: white;

    background-image: url("https://images.pexels.com/photos/1422384/pexels-photo-1422384.jpeg");
    /* width: 100%; */
    height: 50rem;
    background-size: cover;
    background-position: center;

    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    gap: 50px;
}


</style>